<?php
/**
 * @name      OpenImporter
 * @copyright OpenImporter contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause
 *
 * @version 1.0 Alpha
 */
require('Importer.php');
require('Database.php');
// Can always ask, but whats taking 10mins?
@set_time_limit(600);

// Lets catch those errors and exceptions
error_reporting(E_ALL);

// Clean up after unfriendly php.ini settings.
if (function_exists('set_magic_quotes_runtime') && version_compare(PHP_VERSION, '5.3.0') < 0)
{
	@set_magic_quotes_runtime(0);
}

// User aborts are not a good thing
ignore_user_abort(true);

// Let try to create files as 0666 and directories as 0777.
umask(0);

// Disable gzip compression if possible
if (is_callable('apache_setenv'))
{
	apache_setenv('no-gzip', '1');
}

if (@ini_get('session.save_handler') === 'user')
{
	@ini_set('session.save_handler', 'files');
}

// Add slashes, as long as they aren't already being added.
if (function_exists('get_magic_quotes_gpc') && @get_magic_quotes_gpc() != 0)
{
	$_POST = stripslashes_recursive($_POST);
}
$oi_importer = new Importer();

// Lets get this show on the road
try
{
	$oi_importer->process();
}
catch (\Exception $e)
{
	// Debug, remember to remove before GA
	echo '<br>' . $e->getMessage() . '<br>';
	echo $e->getFile() . '<br>';
	echo $e->getLine() . '<br>';
	// If an error is not caught, it means it's fatal and the script should die.
}